Bug 488326 - Opening System Settings to Mouse or Networks KCM breaks other pages afterwards: InlineMessage.qml:123 Cannot assign object of type "TP.IconPropertiesGroup" to property of type "IconPropertiesGroup_QMLTYPE_101*" as the former is neither the same as the lat
Summary: Opening System Settings to Mouse or Networks KCM breaks other pages afterward...
Status: ASSIGNED
Alias: None
Product: systemsettings
Classification: Applications
Component: sidebarview (show other bugs)
Version: 6.1.0
Platform: Other Linux
: HI normal
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords: regression
: 489022 490526 (view as bug list)
Depends on:
Blocks:
 
Reported: 2024-06-10 20:24 UTC by Claudio
Modified: 2024-07-22 19:53 UTC (History)
25 users (show)

See Also:
Latest Commit:
Version Fixed In: 6.1.3
Sentry Crash Report:


Attachments
crash report (77.33 KB, text/plain)
2024-06-21 12:10 UTC, wavewhirler
Details
What the bug looks like when you click a affected setting with the top text being diffrent depinding on the setting. (156.71 KB, image/png)
2024-06-22 04:51 UTC, Elite
Details
What the bug looks like when you click an affected KCM, with the top text differing depending on the KCM. (116.83 KB, image/png)
2024-06-22 15:24 UTC, Roke Julian Lockhart Beedell
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Claudio 2024-06-10 20:24:18 UTC
SUMMARY
I have Plasma 6.1 beta installed (Arch kde-unstable)
After Arch's upgrade to Frameworks 6.3 many systemsettings pages show just a kirigami error message instead of the settings page.
Downgrading the kirigami package to 6.2.1 resolves the issue.

STEPS TO REPRODUCE
1.  Open any of the following systemsetting pages:
Keyboard -> Shortcuts
Sound
Display & Monitor
Bluetooth
Thunderbolt
Printers
Wi-Fi & Internet -> Firewall
Remote Desktop
Wallpaper
Colors & Themes (and all Sub-pages)
Text & Fonts - > Fonts
Notifications
Window Management -> Desktop Effects; Window Rules; KWin Scripts; Virtual Desktops
General Behavior
Search (all Sub-pages)
Application Permissions
User Feedback
Region & Language
Power Management
Autostart
Sessions -> Desktop Sessions

OBSERVED RESULT
An error similar to this one is shown (Shortcuts page for this one):

qrc:/kcm/kcm_keys/main.qml:66 Type Kirigami.InlineMessage unavailable
file:///usr/lib/qt6/qml/org/kde/kirigami/InlineMessage.qml:63 Type KT.InlineMessage unavailable
qrc:/qt/qml/org/kde/kirigami/templates/InlineMessage.qml:123 Cannot assign object of type "TP.IconPropertiesGroup" to property of type "IconPropertiesGroup_QMLTYPE_86*" as the former is neither the same as the latter nor a sub-class of it.

Or (Colors & Themes -> Global Theme):
qrc:/kcm/kcm_lookandfeel/main.qml:86 Type NewStuff.Action unavailable
qrc:/qt/qml/org/kde/newstuff/Action.qml:167 Type NewStuff.Page unavailable
qrc:/qt/qml/org/kde/newstuff/Page.qml:133 Type Kirigami.InlineMessage unavailable
file:///usr/lib/qt6/qml/org/kde/kirigami/InlineMessage.qml:63 Type KT.InlineMessage unavailable
qrc:/qt/qml/org/kde/kirigami/templates/InlineMessage.qml:123 Cannot assign object of type "TP.IconPropertiesGroup" to property of type "IconPropertiesGroup_QMLTYPE_86*" as the former is neither the same as the latter nor a sub-class of it.

EXPECTED RESULT
Systemsettings show actual settings

SOFTWARE/OS VERSIONS
Operating System: EndeavourOS 
KDE Plasma Version: 6.0.90
KDE Frameworks Version: 6.3.0
Qt Version: 6.7.1
Kernel Version: 6.9.3-arch1-1 (64-bit)
Graphics Platform: Wayland
Processors: 32 × AMD Ryzen 9 5950X 16-Core Processor
Memory: 125.7 GiB of RAM
Graphics Processor: AMD Radeon RX 7800 XT
Manufacturer: Micro-Star International Co., Ltd.
Product Name: MS-7D50
System Version: 1.0

ADDITIONAL INFORMATION
Comment 1 ratijas 2024-06-11 07:07:16 UTC
I'm getting that error sometimes, but not all the time, and it's not consistent. I couldn't find a pattern. But Nicolas might know more than me.
Comment 2 David Redondo 2024-06-11 10:08:31 UTC
Did Qt get an update at the same time?

try removing ~/.cache/systemsettings/qmlcache
Comment 3 Claudio 2024-06-11 18:07:09 UTC
Hi

I already deleted the ~/.cache/systemsettings folder - that doesn't change anything.
6 days ago the qt5-base and qt5-wayland packages were upgraded, but I noticed the error messages just after the KF 6.3 update yesterday.

Was just testing a little bit more - it also started to get inconsistent like ratijas said:
If I go directly to an affected page (after opening systemsettings) it works and then stays this way, as long as systemsettings is opened.
But if I first click "Mouse & Touchpad" -> "Mouse" and then one of the affected pages, the error message comes up and stays as long as systemsettings is opened.
The following messages are shown in Console when clicking Mouse & Touchpad:

qrc:/qt/qml/org/kde/systemsettings/CategoryItem.qml:31:13: Unable to assign IconPropertiesGroup_QMLTYPE_63 to IconPropertiesGroup_QMLTYPE_63
qrc:/qt/qml/org/kde/systemsettings/CategoryItem.qml:31:13: Unable to assign IconPropertiesGroup_QMLTYPE_63 to IconPropertiesGroup_QMLTYPE_63
qrc:/qt/qml/org/kde/systemsettings/CategoryItem.qml:31:13: Unable to assign IconPropertiesGroup_QMLTYPE_63 to IconPropertiesGroup_QMLTYPE_63
qml: Page SubCategoryPage_QMLTYPE_60(0x59bd7f86e250) is already in the PageRow


And if I click the "Sounds" page afterwards:

qml: Pushed pages do not conform to the rules. Please check the documentation.
qml: push (file:///usr/lib/qt6/qml/org/kde/kirigami/PageRow.qml:223)
onActiveSubCategoryRowChanged (qrc:/qt/qml/org/kde/systemsettings/SubCategoryPage.qml:180)
expression for onClicked (qrc:/qt/qml/org/kde/systemsettings/CategoriesPage.qml:207)
qrc:/ui/main.qml:378: TypeError: Cannot read property 'buttonMapping' of null
qrc:/ui/main.qml:339: TypeError: Cannot read property 'isAnonymousInputDevice' of null
qrc:/ui/main.qml:273: TypeError: Cannot read property 'isAnonymousInputDevice' of null
qrc:/ui/main.qml:70: TypeError: Cannot read property 'isAnonymousInputDevice' of null
qrc:/ui/main.qml:45: TypeError: Cannot read property 'isAnonymousInputDevice' of null
qrc:/ui/main.qml:48: TypeError: Cannot read property 'inputDevices' of null
qrc:/ui/main.qml:39: TypeError: Cannot read property 'inputDevices' of null
qrc:/ui/main.qml:25: TypeError: Cannot read property 'inputDevices' of null
qrc:/ui/main.qml:29: TypeError: Cannot read property 'inputDevices' of null
kf.kcmutils: Error loading QML file qrc:/kcm/kcm_pulseaudio/main.qml
kf.kcmutils:     qrc:/kcm/kcm_pulseaudio/main.qml:360:13: Type Kirigami.InlineMessage unavailable
                Kirigami.InlineMessage {
                ^
kf.kcmutils:     file:///usr/lib/qt6/qml/org/kde/kirigami/InlineMessage.qml:63:1: Type KT.InlineMessage unavailable
    KT.InlineMessage {
    ^
kf.kcmutils:     qrc:/qt/qml/org/kde/kirigami/templates/InlineMessage.qml:123:43: Cannot assign object of type "TP.IconPropertiesGroup" to property of type "IconPropertiesGroup_QMLTYPE_63*" as the former is neither the same as the latter nor a sub-class of it.
        property TP.IconPropertiesGroup icon: TP.IconPropertiesGroup {}
                                              ^
Comment 4 Claudio 2024-06-20 08:45:47 UTC
*** Bug 488776 has been marked as a duplicate of this bug. ***
Comment 5 Antonio Rojas 2024-06-20 18:01:54 UTC
*** Bug 488810 has been marked as a duplicate of this bug. ***
Comment 6 wavewhirler 2024-06-21 10:43:37 UTC Comment hidden (spam)
Comment 7 wavewhirler 2024-06-21 12:10:47 UTC Comment hidden (spam)
Comment 8 wavewhirler 2024-06-21 12:11:39 UTC Comment hidden (spam)
Comment 9 Lunaliz 2024-06-21 14:55:44 UTC
*** Bug 488899 has been marked as a duplicate of this bug. ***
Comment 10 Mustafa Kamran 2024-06-21 16:31:44 UTC
I'd like to share my experience. I'm on Fedora 40 KDE Plasma Spin and I also get the same issue. Deleting the qmlcache folder does not solve this issue, but I have managed to find a way to consistently reproduce the bug:

1. Open the System Settings applet
2. Go to "Mouse and Touchpad" section, then go back
3. Go to "Colors and Themes" section and the following error appears

qrc:/kcm/kcm_lookandfeel/main.qml:86 Type NewStuff.Action unavailable
qrc:/qt/qml/org/kde/newstuff/Action.qml:167 Type NewStuff.Page unavailable
qrc:/qt/qml/org/kde/newstuff/Page.qml:133 Type Kirigami.InlineMessage unavailable
file:///usr/lib64/qt6/qml/org/kde/kirigami/InlineMessage.qml:63 Type KT.InlineMessage unavailable
qrc:/qt/qml/org/kde/kirigami/templates/InlineMessage.qml:123 Cannot assign object of type "TP.IconPropertiesGroup" to property of type "IconPropertiesGroup_QMLTYPE_90*" as the former is neither the same as the latter nor a sub-class of it.

System Information:
Operating System: Fedora Linux 40
KDE Plasma Version: 6.1.0
KDE Frameworks Version: 6.3.0
Qt Version: 6.7.1
Kernel Version: 6.9.4-200.fc40.x86_64 (64-bit)
Graphics Platform: Wayland
Processors: 8 × Intel® Core™ i7-10510U CPU @ 1.80GHz
Memory: 31.0 GiB of RAM
Graphics Processor: Mesa Intel® UHD Graphics
Manufacturer: LENOVO
Product Name: 20RD002RUS
System Version: ThinkPad E15
Comment 11 Lunaliz 2024-06-21 23:13:48 UTC
In my computer is always like that, whenever I access the following settings:
Sound, Display & Monitor, Bluetooth, Thunderbolt, Printers, Remote Desktop, Wallpaper, Global Theme, Text & Fonts, Notifications, General Behavior, File Search, User Feedback, Region and Language, Power Management, Autostart and Session, the error will always appear.
Comment 12 Elite 2024-06-22 04:49:38 UTC
Same issue here on garuda arch kde. 

I tried removing catch an reinstalling  knewstuff, kirigami, qt6-declarative. I have not had a crash so i cant add a report but 

```qrc:/kcm/kcm_firewall/main.qml:152 Type Kirigami.InlineMessage unavailable
file:///usr/lib/qt6/qml/org/kde/kirigami/InlineMessage.qml:63 Type KT.InlineMessage unavailable
qrc:/qt/qml/org/kde/kirigami/templates/InlineMessage.qml:123 Cannot assign object of type "TP.IconPropertiesGroup" to property of type "IconPropertiesGroup_QMLTYPE_82*" as the former is neither the same as the latter nor a sub-class of it.``` 

I will also provide a screen shot incase that helps anyone. 


Operating System: Garuda Linux 
KDE Plasma Version: 6.1.0
KDE Frameworks Version: 6.3.0
Qt Version: 6.7.1
Kernel Version: 6.9.6-1-cachyos (64-bit)
Graphics Platform: Wayland
Comment 13 Elite 2024-06-22 04:51:09 UTC
Created attachment 170796 [details]
What the bug looks like when you click a affected setting with the top text being diffrent depinding on the setting.
Comment 14 Antonio Rojas 2024-06-22 06:53:47 UTC
*** Bug 488945 has been marked as a duplicate of this bug. ***
Comment 15 Antonio Rojas 2024-06-22 12:24:47 UTC
*** Bug 488965 has been marked as a duplicate of this bug. ***
Comment 16 Adi Efendic 2024-06-22 12:50:46 UTC
Can confirm the same happens for me. What I did notice is that it usually happens if I visit any settings page after opening System Settings. After that, if I open a settings page directly from the Application launcher (without first opening System Settings) it goes away.

System details:
Operating System: Fedora Linux 40
KDE Plasma Version: 6.1.0
KDE Frameworks Version: 6.3.0
Qt Version: 6.7.1
Kernel Version: 6.9.5-200.fc40.x86_64 (64-bit)
Graphics Platform: Wayland
Processors: 12 × AMD Ryzen 5 5600 6-Core Processor
Memory: 31.3 GiB of RAM
Graphics Processor: AMD Radeon RX 6600
Comment 17 hwmrocker 2024-06-22 15:04:52 UTC
Happens to me too on X11 and kionite,

Operating System: Fedora Linux 40
KDE Plasma Version: 6.1.0
KDE Frameworks Version: 6.3.0
Qt Version: 6.7.1
Kernel Version: 6.9.5-200.fc40.x86_64 (64-bit)
Graphics Platform: X11
Processors: 32 × AMD Ryzen 9 7950X3D 16-Core Processor
Memory: 61.9 GiB of RAM
Graphics Processor: AMD Radeon RX 7900 XT
Manufacturer: Gigabyte Technology Co., Ltd.
Product Name: B650 AORUS ELITE AX
Comment 18 Antonio Rojas 2024-06-22 15:22:03 UTC
*** Bug 488985 has been marked as a duplicate of this bug. ***
Comment 19 Roke Julian Lockhart Beedell 2024-06-22 15:24:56 UTC
Created attachment 170824 [details]
What the bug looks like when you click an affected KCM, with the top text differing depending on the KCM.

A little more easily readable.
Comment 20 Lunaliz 2024-06-22 15:52:57 UTC
I updated my system earlier this morning(Arch Linux), there were some KDE updates, and all the problems that I had went away, I am not sure if this was the fix or the system fixed itself, the only KDE related update was KWin's, so maybe was that? Either way, the bug has been fixed in my machine.

https://i.imgur.com/FsrIqD4.png

In this SS, pacman updating kwin from 6.1-01 to 6.1-03 which *might* have fixed it.
Comment 21 Elite 2024-06-22 16:04:50 UTC
(In reply to Lunaliz from comment #20)
> I updated my system earlier this morning(Arch Linux), there were some KDE
> updates, and all the problems that I had went away, I am not sure if this
> was the fix or the system fixed itself, the only KDE related update was
> KWin's, so maybe was that? Either way, the bug has been fixed in my machine.
> 
> https://i.imgur.com/FsrIqD4.png
> 
> In this SS, pacman updating kwin from 6.1-01 to 6.1-03 which *might* have
> fixed it.

Can confirm kwin? update seems to have fixed it all it takes is a reboot. an its fixed.
Comment 22 Claudio 2024-06-22 16:28:39 UTC
No not solved with Plasma 6.1 stable or the kwin 6.1-03 package update.

Please read my 2nd comment: https://bugs.kde.org/show_bug.cgi?id=488326#c3 - you first have to click on e.g. "Mouse & Touchpad" -> "Mouse" - than the bug triggers - if you first click on any of the problematic pages, than the bug does not appear.
Comment 23 Elite 2024-06-22 16:57:34 UTC
(In reply to Claudio from comment #22)
> No not solved with Plasma 6.1 stable or the kwin 6.1-03 package update.
> 
> Please read my 2nd comment: https://bugs.kde.org/show_bug.cgi?id=488326#c3 -
> you first have to click on e.g. "Mouse & Touchpad" -> "Mouse" - than the bug
> triggers - if you first click on any of the problematic pages, than the bug
> does not appear.

just tried that an ya it brought the issue back.
Comment 24 Elite 2024-06-22 17:00:07 UTC
(In reply to Elite from comment #23)
> (In reply to Claudio from comment #22)
> > No not solved with Plasma 6.1 stable or the kwin 6.1-03 package update.
> > 
> > Please read my 2nd comment: https://bugs.kde.org/show_bug.cgi?id=488326#c3 -
> > you first have to click on e.g. "Mouse & Touchpad" -> "Mouse" - than the bug
> > triggers - if you first click on any of the problematic pages, than the bug
> > does not appear.
> 
> just tried that an ya it brought the issue back.

Logging out an logging back in will restore it to working. it but going to  mouse will break it.
Comment 25 Daniel Lo Nigro 2024-06-23 00:54:39 UTC

*** This bug has been marked as a duplicate of bug 487904 ***
Comment 26 Antonio Rojas 2024-06-23 14:07:41 UTC
*** Bug 489018 has been marked as a duplicate of this bug. ***
Comment 27 Antonio Rojas 2024-06-23 14:10:42 UTC
*** Bug 489022 has been marked as a duplicate of this bug. ***
Comment 28 Antonio Rojas 2024-06-23 15:31:17 UTC
*** Bug 489037 has been marked as a duplicate of this bug. ***
Comment 29 Nate Graham 2024-07-01 18:11:30 UTC
There are a few issues here. The one where other KCMs break after navigating to Mouse is actually something different from the issue of KCMs being broken out of the box; that's tracked by Bug 488965, so let's track this separately.
Comment 31 Nate Graham 2024-07-01 18:12:16 UTC
*** Bug 489022 has been marked as a duplicate of this bug. ***
Comment 32 Nate Graham 2024-07-01 18:29:25 UTC
FWIW I can reproduce the issue of KCMs breaking if you launch System Settings to the Mouse KCM or several others (e.g. Networks) but I'm not sure it was caused by a commit in Kirigami 6.3. I bisected back to the beginning of 6.3 and it always happens. 6.3 might be a coincidence.
Comment 33 Marco Martin 2024-07-03 08:04:24 UTC
Git commit 1021059cf8b9965b2742f568c96bcb2b9e661b77 by Marco Martin.
Committed on 03/07/2024 at 08:04.
Pushed by mart into branch 'master'.

Share the qml engine as a qApp property

use this for weird kcms that are still qwidget but have an
internal QQuickWidget, so that they can share the qqmlengine

this works around

M  +1    -0    app/SidebarMode.cpp

https://invent.kde.org/plasma/systemsettings/-/commit/1021059cf8b9965b2742f568c96bcb2b9e661b77
Comment 34 Marco Martin 2024-07-03 08:05:12 UTC
Git commit a42319339782f9742bec15334eebcacadbca17d9 by Marco Martin.
Committed on 03/07/2024 at 08:05.
Pushed by mart into branch 'master'.

Use a shared QQmlEngine when possible

If a qml engine is found as the property __qmlEngine of qApp,
use it to load the qml, in order to workaround the bug 

needs https://invent.kde.org/plasma/systemsettings/-/merge_requests/322

M  +1    -3    kcm/CMakeLists.txt
M  +27   -27   kcm/kcm.cpp
M  +4    -2    kcm/kcm.h
D  +0    -47   kcm/kcm.ui

https://invent.kde.org/plasma/plasma-nm/-/commit/a42319339782f9742bec15334eebcacadbca17d9
Comment 35 Marco Martin 2024-07-03 08:06:24 UTC
Git commit 09514cd3bfdfb1c6342cc98e25433537fb78cb3d by Marco Martin.
Committed on 03/07/2024 at 08:04.
Pushed by mart into branch 'Plasma/6.1'.

Share the qml engine as a qApp property

use this for weird kcms that are still qwidget but have an
internal QQuickWidget, so that they can share the qqmlengine

this works around


(cherry picked from commit 1021059cf8b9965b2742f568c96bcb2b9e661b77)

deda2c74 Share the qml engine as a qApp property

Co-authored-by: Marco Martin <notmart@gmail.com>

M  +1    -0    app/SidebarMode.cpp

https://invent.kde.org/plasma/systemsettings/-/commit/09514cd3bfdfb1c6342cc98e25433537fb78cb3d
Comment 36 Marco Martin 2024-07-03 08:08:34 UTC
Git commit 9e2ae48fb51cdb1a38e267c04a2ab5484e133d6e by Marco Martin.
Committed on 03/07/2024 at 08:05.
Pushed by mart into branch 'Plasma/6.1'.

Use a shared QQmlEngine when possible

If a qml engine is found as the property __qmlEngine of qApp,
use it to load the qml, in order to workaround the bug 

needs https://invent.kde.org/plasma/systemsettings/-/merge_requests/322


(cherry picked from commit a42319339782f9742bec15334eebcacadbca17d9)

c25a2a76 fix layout

Co-authored-by: Marco Martin <notmart@gmail.com>

M  +1    -3    kcm/CMakeLists.txt
M  +27   -27   kcm/kcm.cpp
M  +4    -2    kcm/kcm.h
D  +0    -47   kcm/kcm.ui

https://invent.kde.org/plasma/plasma-nm/-/commit/9e2ae48fb51cdb1a38e267c04a2ab5484e133d6e
Comment 37 Marco Martin 2024-07-03 08:14:18 UTC
Git commit 138de7b28f60f2d0029e686153d408233a32c08b by Marco Martin.
Committed on 03/07/2024 at 08:14.
Pushed by mart into branch 'master'.

Use a shared QQmlEngine when possible

If a qml engine is found as the property __qmlEngine of qApp,
use it to load the qml, in order to workaround the bug

needs https://invent.kde.org/plasma/systemsettings/-/merge_requests/322

M  +6    -1    kcms/touchpad/kcm.cpp

https://invent.kde.org/plasma/plasma-desktop/-/commit/138de7b28f60f2d0029e686153d408233a32c08b
Comment 38 Marco Martin 2024-07-03 11:01:23 UTC
Git commit f6921a5415c5db0f5acfa9439bf33fbffe8026c9 by Marco Martin.
Committed on 03/07/2024 at 08:19.
Pushed by mart into branch 'Plasma/6.1'.

Use a shared QQmlEngine when possible

If a qml engine is found as the property __qmlEngine of qApp,
use it to load the qml, in order to workaround the bug

needs https://invent.kde.org/plasma/systemsettings/-/merge_requests/322


(cherry picked from commit 138de7b28f60f2d0029e686153d408233a32c08b)

09aecfa7 Use a shared QQmlEngine when possible

Co-authored-by: Marco Martin <notmart@gmail.com>

M  +6    -1    kcms/touchpad/kcm/touchpadconfig.cpp

https://invent.kde.org/plasma/plasma-desktop/-/commit/f6921a5415c5db0f5acfa9439bf33fbffe8026c9
Comment 39 Andreas Hermann 2024-07-17 20:18:30 UTC
This problem is not fixed for me with an update to version 6.1.3. I still get the following error only when navigating first to the "Mouse & Touchpad" KCM and then for example to  "Sound" ("Display & Monitor" and others are also affected):

qrc:/kcm/kcm_pulseaudio/main.qml:366 Type Kirigami.InlineMessage unavailable
file:///usr/lib64/qt6/qml/org/kde/kirigami/InlineMessage.qml:63 Type KT.InlineMessage unavailable
qrc:/qt/qml/org/kde/kirigami/templates/InlineMessage.qml:123 Cannot assign object of type "TP.IconPropertiesGroup" to property of type "IconPropertiesGroup_QMLTYPE_82*" as the former is neither the same as the latter nor a sub-class of it.

Operating System: Gentoo Linux 2.15
KDE Plasma Version: 6.1.3
KDE Frameworks Version: 6.4.0
Qt Version: 6.7.2
Kernel Version: 6.9.9 (64-bit)
Graphics Platform: Wayland
Processors: 24 × AMD Ryzen 9 3900X 12-Core Processor
Memory: 62,7 GiB of RAM
Graphics Processor: AMD Radeon RX 6750 XT
Manufacturer: Gigabyte Technology Co., Ltd.
Product Name: X570 AORUS MASTER
System Version: -CF
Comment 40 Bug Janitor Service 2024-07-20 22:34:44 UTC
A possibly relevant merge request was started @ https://invent.kde.org/frameworks/kirigami/-/merge_requests/1589
Comment 41 Alexander Minges 2024-07-22 19:53:09 UTC
*** Bug 490526 has been marked as a duplicate of this bug. ***